Class | Sadmin::BaseController
In: | app/controllers/sadmin/base_controller.rb
Parent: | ApplicationController

### Methods

access_to_photos_required access_to_sadmin_required set_current_tab

### Public Instance methods

access_to_photos_required()

[Source]

        # File app/controllers/sadmin/base_controller.rb, line 18
    18:   def access_to_photos_required
    19:     unless (logged_in? && can_access?("photos"))
    20:       flash[:notice] = t('no_tienes_permiso')
    21:       access_denied
    22:     end
    23:   end

access_to_sadmin_required()

[Source]

        # File app/controllers/sadmin/base_controller.rb, line 11
    11:   def access_to_sadmin_required
    12:     unless (logged_in? && current_user.is_staff?)
    13:       flash[:notice] = t('no_tienes_permiso')
    14:       access_denied
    15:     end
    16:   end

set_current_tab()

[Source]

       # File app/controllers/sadmin/base_controller.rb, line 7
    7:   def set_current_tab
    8:     @current_tab = :news
    9:   end

[Validate]